// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(Packages.com.silverwrist.venice.core);
importPackage(Packages.com.silverwrist.venice.except);
importPackage(Packages.com.silverwrist.venice.ui);
importPackage(Packages.com.silverwrist.venice.ui.helpers);

// get the request object and the community
rinput = bsf.lookupBean("request");
comm = rinput.getCommunity(true,"comm/sb_list.js.vs");

if (!(comm.canUnjoin()))
{ // you can't unjoin the community
  vlib.output(new ErrorBox("Community Error","You are not permitted to unjoin this community.",
                           "comm/sb_list.js.vs"));
  vlib.done();

} // end if

// the names of the confirmation attribute and parameter
CONFIRM_attr = "confirmbox.unjoin";
CONFIRM_param = "confirm";

rc = null;
if (ConfirmBox.isConfirmed(rinput,CONFIRM_attr,CONFIRM_param))
{ // we are confirmed - unjoin us!
  try
  { // do the unjoin
    comm.unjoin();

    // force the menus to be redrawn
    rinput.setSessionAttribute(RequestInput.LEFT_MENU_SESSION_ATTR,null);

    // after which, return to the top
    rc = new Redirect("comm/sb_list.js.vs",LinkTypes.SERVLET);

  } // end try
  catch (e)
  { // caught an exception while unjoining
    etype = vlib.exceptionType(e) + "";
    if (etype.match("AccessError"))
      rc = new ErrorBox("Access Error","Unable to unjoin community: " + e.message,"comm/sb_list.js.vs");
    else if (etype.match("DataException"))
      rc = new ErrorBox("Database Error","Database error unjoining community: " + e.message,
                        "comm/sb_list.js.vs");
    else
      rc = e;

  } // end catch

} // end if
else // not yet confirmed - display the confirmation box
  rc = new ConfirmBox(rinput,CONFIRM_attr,CONFIRM_param,"Unjoining Community",
		      "Are you sure you want to unjoin the '" + comm.name + "' community?",
                      "comm/sb_unjoin.js.vs?cc=" + comm.communityID,LinkTypes.SERVLET,
                      "comm/sb_list.js.vs",LinkTypes.SERVLET);

vlib.output(rc);
